%define version 0.28
%define name gnome-print
%define major 15
%define prefix %{_prefix}
%define sysconfdir %{_sysconfdir}
%define localstatedir %{_localstatedir}/lib

Summary: Printing libraries for GNOME.
Name: %{name}
Version: %{version}
Release: 1mdk
Copyright: LGPL
Group: System/Libraries
BuildRequires: audiofile-devel esound-devel gnome-libs-devel libxml-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-print/%{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq:	gnome-libs
PreReq:	urw-fonts
PreReq:	ghostscript-fonts
PreReq:	libxml
PreReq: perl
PreReq: libgnomeprint%{major}

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. GNOME is similar in purpose and scope to CDE and KDE,
but GNOME is based completely on free software. The gnome-print package
contains libraries and fonts that are needed by GNOME applications wanting to
print.

You should install the gnome-print package if you intend on using any of the
GNOME applications that can print. If you would like to develop GNOME
applications that can print you will also need to install the gnome-print devel
package.

# -- Lib Package --
%package -n libgnomeprint%{major}
Summary:        Libraries for Gnome-Print
Group:          System/Libraries
%description -n libgnomeprint%{major}
This package provides libraries to use Gnome-Print.


# -- Devel Package --
%package -n libgnomeprint%{major}-devel
Summary: Libraries and include files for developing GNOME applications.
Group: Development/C
Requires: %{name} = %{version}
Requires: libgnomeprint%{major} = %{version}
Provides: %{name}-devel
Provides: libgnomeprint-devel
Obsoletes: %{name}-devel
%description -n libgnomeprint%{major}-devel
You should install the libgnomeprint-devel package if you would like to develop
GNOME applications that will use the GNOME printing facilities. You don't need
to install the libgnomeprint-devel package if you just want to use the GNOME
desktop enviornment.



%prep
%setup -q


%build
%configure --localstatedir=%{localstatedir}
#CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
#	--prefix=%{prefix} --sysconfdir=%{sysconfdir} \
#	--localstatedir=%{localstatedir}
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall localstatedir=$RPM_BUILD_ROOT%{localstatedir}
%{find_lang} %{name}
#make install prefix=$RPM_BUILD_ROOT%{prefix} \
#	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
install -m 644 run-gnome-font-install $RPM_BUILD_ROOT%{_datadir}/fonts
cd fonts
install -c *.font $RPM_BUILD_ROOT%{_datadir}/fonts

%clean
rm -rf $RPM_BUILD_ROOT

%post
perl %{_datadir}/fonts/run-gnome-font-install \
	%{_bindir}/gnome-font-install %{_datadir} %{_datadir}


# -- post scripts for lib package --
%post -n libgnomeprint%{major} -p /sbin/ldconfig
%postun -n libgnomeprint%{major} -p /sbin/ldconfig


%files -f %{name}.lang
# -- Main Package --
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/fonts/afms/adobe/*
%{_datadir}/fonts/*.font
%{_datadir}/fonts/fontmap2
%{_datadir}/fonts/run-gnome-font-install

# -- Lib Package --
%files -n libgnomeprint%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
%{_datadir}/gnome-print/%{version}

# -- Devel Package --
%files -n libgnomeprint%{major}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*


%changelog
* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.28-1mdk
- Release 0.28

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.27-1mdk
- Release 0.27

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.26-2mdk
- Add prereq dependency of gnome-print on libgnomeprint%%{major}

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.26-1mdk
- Release 0.26
- Correct path of ghostscript fonts

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.25-3mdk
- added obsoletes gnome-print-devel for upgrades (weird !)

* Mon Dec  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.25-2mdk
- "libification"

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.25-1mdk
- bump up version for gnumeric.
- for the file list use a macro to represent version.

* Wed Oct 11 2000 Daouda LO <daouda@mandrakesoft.com> 0.24-1mdk
- release

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.20-5mdk
- fixed langs
- removed %config for postscript profile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.20-4mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-3mdk
- Rebuild to remove dependency on alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.20-2mdk
- BM + macrozification.

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.20-1mdk
- upgrading to helix version 0.20

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-2mdk
- fixed group, /me really-stupid

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.18-1mdk
- took srpm from Helix [grrr.. no changelog, why?]
